Show / Hide Table of Contents

# Class MessageActivity

An activity object found in a sent message.

##### Inheritance

System.Object
MessageActivity

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class MessageActivity

##### Remarks

This class refers to an activity object, visually similar to an embed within a message. However, a message activity is interactive as opposed to a standard static embed.

For example, a Spotify party invitation counts as a message activity.

### Properties

| Improve this Doc View Source

#### PartyId

Gets the party ID of this activity, if any.

##### Declaration

    public string PartyId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

Gets the type of activity of this message.

##### Declaration

    public MessageActivityType Type { get; }

##### Property Value

Type | Description
--- | ---
MessageActivityType |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()